Files to download


Here are archives containing the libapi2 library, the headers required for its use, and examples.


Package content

The package contains a libapi2.a static library, includes needed for its use and demos in the form of sources as well as compiled programs.

Hardware and system requirements

The library and most of the demos require AmigaOS 3.x and up to 4MB RAM (most of demos require a lot less memory). MouseMove1, Panel3, CustomClass1, ProgressBar2 demos will work efficiently only on faster computers.

Additional information

The project is in the initial phase and certainly contains errors that can lead to the system crash, additionally it does not release all allocated resources. You should have it in mind when running the attached demos.


Amiga and AmigaOS are either registered trademarks or trademarks of their owner.